Main Page

Functions
usb.c File Reference

Go to the source code of this file.

## Functions
void | usb_port_wr (char *name, uint8_t val)
uint8_t | usb_port_rd (char *name)
VDevice * | usbi_create (int addr, char *name, int rel_addr, void *data)
USBInter_T * | usb_intr_new (int addr, char *name, uint8_t func_mask)
void | usb_intr_construct (USBInter_T *usb, int addr, char *name, uint8_t func_mask)
void | usb_intr_destroy (void *usb)
VDevice * | usb_create (int addr, char *name, int rel_addr, void *data)
USB_T * | usb_new (int addr, char *name)
void | usb_construct (USB_T *usb, int addr, char *name)
void | usb_destroy (void *usb)

## Detailed Description

Module to simulate the AVR's USB module.

Definition in file usb.c.

## Function Documentation

## § usbi_create()

VDevice* usbi_create | ( | int | addr,
|  | char * | name,
|  | int | rel_addr,
|  | void * | data
| ) |  |

Allocate a new USB interrupt.

Definition at line 78 of file usb.c.

## § usb_intr_construct()

void usb_intr_construct | ( | USBInter_T * | usb,
|  | int | addr,
|  | char * | name,
|  | uint8_t | func_mask
| ) |  |

Constructor for usb interrupt object.

Definition at line 103 of file usb.c.

References avr_error, and vdev_construct().

## § usb_intr_destroy()

void usb_intr_destroy | ( | void * | usb | ) |

Destructor for usb interrupt object.

Definition at line 181 of file usb.c.

References vdev_destroy().

## § usb_create()

VDevice* usb_create | ( | int | addr,
|  | char * | name,
|  | int | rel_addr,
|  | void * | data
| ) |  |

Allocate a new USB structure.

Definition at line 301 of file usb.c.

## § usb_construct()

void usb_construct | ( | USB_T * | usb,
|  | int | addr,
|  | char * | name
| ) |  |

Constructor for new USB object.

Definition at line 321 of file usb.c.

References avr_error, and vdev_construct().

## § usb_destroy()

void usb_destroy | ( | void * | usb | ) |

Destructor for USB object.

Definition at line 480 of file usb.c.

References vdev_destroy().

Automatically generated by Doxygen 1.8.12 on Tue Apr 18 2017.